Subject: Re: bug#10056: 24.0.91; `copy-to-register' does not deactivate the mark

From: Bastien <[email-masked]>
Date: Tue, 11 Sep 2012 16:42:45 +0200

Dani Moncayo <[email-masked]> writes:

>> The way mark deactivation works is that the mark gets deactivated after
>> any command that modified the buffer (that's the basic heuristic used
>> to avoid having to change umpteen commands to explicitly deactivate-mark).
>
> I think that the general principle for deactivating the mark is not
> (and should not be) "after any command that modified the buffer", but
> "after any command that _used_ the active region (for any purpose)".

... unless it's immediately useful to reuse the active region?

But FWIW I agree in general. 

-- 
 Bastien